supported_entities = {
    'AU_ABN': 'The Australian Business Number (ABN) is a unique 11 digit identifier issued to all entities registered in the Australian Business Register (ABR)',
    'AU_ACN': 'An Australian Company Number is a unique nine-digit number issued by the Australian Securities and Investments Commission to every company registered under the Commonwealth Corporations Act 2001 as an identifier',
    'AU_MEDICARE': "Medicare number is a unique identifier issued by Australian Government that enables the cardholder to receive a rebates of medical expenses under Australia's Medicare system",
    'AU_TFN': 'The tax file number (TFN) is a unique identifier issued by the Australian Taxation Office to each taxpaying entity',
    'CA_BANK_ACCT': 'Canadian Bank Account Number - 5 digits, dash, 3 digits, dash, 7 digits.',
    'CA_PASSPORT': 'A Canadian passport number starts with two letters followed by 8 digits',
    'CA_SIN': 'Canadian Social Insurance Number - 3 groups of 3 digits separated by dashes',
    'CREDIT_CARD': 'A credit card number is between 12 to 19 digits. https://en.wikipedia.org/wiki/Payment_card_number',
    'CRYPTO': 'A Crypto wallet number. Currently only Bitcoin address is supported',
    'DATE_TIME': 'Absolute or relative dates or periods or times smaller than a day',
    'EMAIL_ADDRESS': 'An email address identifies an email box to which email messages are delivered',
    'IBAN_CODE': 'The International Bank Account Number (IBAN) is an internationally agreed system of identifying bank accounts across national borders to facilitate the communication and processing of cross border transactions with a reduced risk of transcription errors', 
    'IP_ADDRESS': 'An Internet Protocol (IP) address (either IPv4 or IPv6)',
    'LOCATION': 'Name of politically or geographically defined location (cities, provinces, countries, international regions, bodies of water, mountains',
    'MEDICAL_LICENSE': 'Common medical license numbers',
    'NRP': "A person's Nationality, religious or political group",
    'OHIP_CARD': 'An Ontario (OHIP) health card) - 10 digits in groups of 4-3-3 followed by two upper case letters separated by dashes',
    'ON_DRIVER_LICENSE': 'An Ontario driver license - upper case letter followed by 14 digits with optional dashes',
    'PERSON': 'A full person name, which can include first names, middle names or initials, and last names',
    'PHONE_NUMBER': 'A telephone number',
    'SG_NRIC_FIN': 'A Singapore National Registration Identification Card',
    'URL': 'A URL (Uniform Resource Locator), unique identifier used to locate a resource on the Internet',
    'UK_NHS': 'A UK NHS number is 10 digits',
    'US_BANK_NUMBER': 'A US bank account number is between 8 to 17 digits',
    'US_DRIVER_LICENSE': 'A US driver license according to https://ntsi.com/drivers-license-format/',
    'US_PASSPORT': 'A US passport number with 9 digits',
    'US_SSN': 'A US Social Security Number (SSN) with 9 digits',
    'US_ITIN': 'US Individual Taxpayer Identification Number (ITIN). Nine digits that start with a "9" and contain a "7" or "8" as the 4 digit',
}
